Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre

Notices

Reply
 
Thread Tools Search this Thread
Old 02-04-2011, 09:04 PM   #1
saturnblackhole
Member
saturnblackhole began at the beginning.
 
saturnblackhole's Avatar
 
Posts: 10
Karma: 10
Join Date: Jan 2010
Location: brooklyn
Device: sony ereader touch edition
Calibre not starting on debian

Hello, I've tried searching the error but couldn't find any info.

I'm using debian and when i installed calibre (using the command from the website) and click the icon to run nothing happened. When i ran the command to start calibre in the terminal i got the following error.

Code:
WARNING: Failed to set default libc locale, using en_US.UTF-8
Traceback (most recent call last):
  File "site.py", line 53, in main
  File "site.py", line 13, in set_default_encoding
  File "locale.py", line 539, in setlocale
Error: unsupported locale setting
saturnblackhole is offline   Reply With Quote
Old 02-04-2011, 10:20 PM   #2
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 25,905
Karma: 5035037
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
You don't have the locales installed for your glibc. I don't know how you build loacels on debian, but on gentoo it's called locale-gen
kovidgoyal is offline   Reply With Quote
Old 02-05-2011, 09:06 AM   #3
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 8,989
Karma: 40850468
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
I've seen that happen when someone has upgraded glibc to a newer version than their distro's default.

But I believe the package in question is just called 'locales' on debian.
DiapDealer is offline   Reply With Quote
Old 12-11-2011, 12:05 AM   #4
joeshmoe
Junior Member
joeshmoe began at the beginning.
 
Posts: 1
Karma: 10
Join Date: Dec 2011
Device: none
I'm getting the same error on a unraid server (slackware 13.1). Any idea how I might be able to fix it?
joeshmoe is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Problems with Calibre and Debian Squeeze tolyluis Calibre 6 01-21-2012 08:25 AM
Install Calibre in Debian Lenny? erdalronahi Calibre 8 05-16-2010 12:49 AM
Calibre binary for Debian Lenny x64 Megatron-UK Calibre 1 01-30-2010 12:56 PM
How to build calibre in Debian Sid? tompe Calibre 10 05-06-2009 06:38 PM
Starting off without calibre dhylton Calibre 3 05-05-2009 11:24 AM


All times are GMT -4. The time now is 05:55 AM.


MobileRead.com is a privately owned, operated and funded community.